Edit your own post
PATCH /api/member/posts/{postId}. Edit your own post. Headless LMS Posts API reference.
Author only. Changes only the fields sent. 409 when the post is removed, or the topic rules of the space are not met.
Path Parameters
postId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/member/posts/string" \ -H "Content-Type: application/json" \ -d '{}'{ "orgId": "string", "id": "string", "communityId": "string", "spaceId": "string", "orgUserId": "string", "topicId": "string", "title": "string", "body": "string", "extra": null, "coverAssetId": "string", "status": "draft", "scheduledAt": "2019-08-24T14:15:22Z", "publishedAt": "2019-08-24T14:15:22Z", "removedBy": "string", "pinned": true, "commentsClosed": true, "reactionsEnabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "coverUrl": "string", "author": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "role": "owner" }, "reactions": { "property1": 0, "property2": 0 }, "viewerReaction": "string", "commentCount": 0, "following": true, "bookmarked": true}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}